--- chrome/browser/browser_main.cc
+++ chrome/browser/browser_main.cc
@@ -78,7 +78,7 @@
 #include "chrome/app/breakpad_linux.h"
 #endif
 
-#if defined(OS_LINUX)
+#if defined(USE_X11)
 #include "chrome/common/gtk_util.h"
 #endif
 
@@ -156,7 +156,7 @@ void RunUIMessageLoop(BrowserProcess* browser_process) {
 #if defined(TOOLKIT_VIEWS)
   views::AcceleratorHandler accelerator_handler;
   MessageLoopForUI::current()->Run(&accelerator_handler);
-#elif defined(OS_LINUX)
+#elif defined(USE_X11)
   MessageLoopForUI::current()->Run(NULL);
 #elif defined(OS_POSIX)
   MessageLoopForUI::current()->Run();
@@ -475,7 +475,7 @@ int BrowserMain(const MainFunctionParams& parameters) {
   }
 #endif  // !defined(OS_MACOSX)
 
-#if defined(OS_LINUX)
+#if defined(USE_X11)
   gtk_util::SetDefaultWindowIcon();
 #endif
 
@@ -652,7 +652,7 @@ int BrowserMain(const MainFunctionParams& parameters) {
       break;
 
     case ProcessSingleton::PROCESS_NOTIFIED:
-#if defined(OS_LINUX)
+#if defined(OS_NIX)
       printf("%s\n", base::SysWideToNativeMB(
                  l10n_util::GetString(IDS_USED_EXISTING_BROWSER)).c_str());
 #endif
diff --git chrome/browser/browser_prefs.cc chrome/browser/browser_prefs.cc
index 8020c4f..eb9ec59 100644
